List operation for eUICC

Pre-release

List all operations of a specific IoT eUICC. This route returns HTTP 404 error for non-IoT eUICCs.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

euicc_idintegerRequired

Query parameters

pageintegerOptional>=1Defaults to 1

Page number (1-based).

per_pageintegerOptional1-1000Defaults to 100
Items per page.
qstringOptionalformat: "^(?:\s*(id|action|status|iccid_with_luhn)\s*:[^,]+)(?:\s*,\s*(id|action|status|iccid_with_luhn)\s*:[^,]+)*$"
Filter parameter in `<field>:<criteria>` format. Expects a comma-separated list from the allowed fields: - `id` - `action` - `status` - `iccid_with_luhn`
sortstringOptionalformat: "^(?:-?(id|action|status|iccid_with_luhn|creation_date|expiry_date|finalization_date))(?:\s*,\s*-?(id|action|status|iccid_with_luhn|creation_date|expiry_date|finalization_date))*$"
Sort properties according to a comma separated list from the allowed fields (prefix with `-` for descending): - `id` - `action` - `status` - `iccid_with_luhn` - `creation_date` - `expiry_date` - `finalization_date`

Response

Operation list
idstringformat: "uuid"
actionobject
statusobject
creation_datestringformat: "date-time"
last_updated_atstringformat: "date-time"
userobject
expiry_datestringformat: "date-time"
finalization_datestringformat: "date-time"
errorobject
iccid_with_luhnstringformat: "^89[0-9]{18}$"
Full ICCID including the Luhn check digit

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error